Package com.independentsoft.office.drawing

# Class MouseOverHyperlink

java.lang.Object
com.independentsoft.office.drawing.MouseOverHyperlink

public class MouseOverHyperlink extends Object
Represents the mouse over hyperlink (`a:hlinkMouseOver`) of a drawing element - the action taken when the pointer moves over the shape.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MouseOverHyperlink()`
  Instantiates a new mouse over hyperlink.
  `MouseOverHyperlink​(InternalXMLStreamReader reader)`
  Instantiates a new mouse over hyperlink.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MouseOverHyperlink`
  `clone()`
  `String`
  `getAction()`
  Gets the action.
  `boolean`
  `getEndSounds()`
  Checks if sounds stop when the action starts.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `boolean`
  `getHighlightClick()`
  Checks if the hyperlink is highlighted on click.
  `boolean`
  `getHistory()`
  Checks if the target is added to the browsing history (default true).
  `String`
  `getInvalidUrl()`
  Gets the invalid url.
  `String`
  `getRelationshipId()`
  Gets the relationship id kept for an External target.
  `Sound`
  `getSound()`
  Gets the sound to play on activation (`a:snd`).
  `String`
  `getTargetFrame()`
  Gets the target frame.
  `String`
  `getTooltip()`
  Gets the tooltip.
  `void`
  `setAction​(String action)`
  Sets the action.
  `void`
  `setEndSounds​(boolean endSounds)`
  Sets whether sounds stop when the action starts.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setHighlightClick​(boolean highlightClick)`
  Sets whether the hyperlink is highlighted on click.
  `void`
  `setHistory​(boolean history)`
  Sets whether the target is added to the browsing history.
  `void`
  `setInvalidUrl​(String invalidUrl)`
  Sets the invalid url.
  `void`
  `setSound​(Sound sound)`
  Sets the sound to play on activation (`a:snd`).
  `void`
  `setTargetFrame​(String targetFrame)`
  Sets the target frame.
  `void`
  `setTooltip​(String tooltip)`
  Sets the tooltip.
  `String`
  `toString()`
  `String`
  `toXml​(String declarations)`
  To xml.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MouseOverHyperlink

    public MouseOverHyperlink()
    Instantiates a new mouse over hyperlink.

  - ### MouseOverHyperlink

    public MouseOverHyperlink​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new mouse over hyperlink.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public MouseOverHyperlink clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toXml

    public String toXml​(String declarations)
    To xml.
    Parameters:
      `declarations` - optional xmlns attributes for hosts that do not have the "a" prefix in scope at the element (e.g. wp:docPr precedes a:graphic's declaration)
    Returns:
      the string

  - ### getRelationshipId

    public String getRelationshipId()
    Gets the relationship id kept for an External target.
    Returns:
      the relationship id

  - ### getSound

    public Sound getSound()
    Gets the sound to play on activation (`a:snd`).
    Returns:
      the sound

  - ### setSound

    public void setSound​(Sound sound)
    Sets the sound to play on activation (`a:snd`).
    Parameters:
      `sound` - the new sound

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getAction

    public String getAction()
    Gets the action.
    Returns:
      the action

  - ### setAction

    public void setAction​(String action)
    Sets the action.
    Parameters:
      `action` - the new action

  - ### getEndSounds

    public boolean getEndSounds()
    Checks if sounds stop when the action starts.
    Returns:
      true, if end sounds

  - ### setEndSounds

    public void setEndSounds​(boolean endSounds)
    Sets whether sounds stop when the action starts.
    Parameters:
      `endSounds` - the new end sounds

  - ### getHighlightClick

    public boolean getHighlightClick()
    Checks if the hyperlink is highlighted on click.
    Returns:
      true, if highlight click

  - ### setHighlightClick

    public void setHighlightClick​(boolean highlightClick)
    Sets whether the hyperlink is highlighted on click.
    Parameters:
      `highlightClick` - the new highlight click

  - ### getHistory

    public boolean getHistory()
    Checks if the target is added to the browsing history (default true).
    Returns:
      true, if history

  - ### setHistory

    public void setHistory​(boolean history)
    Sets whether the target is added to the browsing history.
    Parameters:
      `history` - the new history

  - ### getInvalidUrl

    public String getInvalidUrl()
    Gets the invalid url.
    Returns:
      the invalid url

  - ### setInvalidUrl

    public void setInvalidUrl​(String invalidUrl)
    Sets the invalid url.
    Parameters:
      `invalidUrl` - the new invalid url

  - ### getTargetFrame

    public String getTargetFrame()
    Gets the target frame.
    Returns:
      the target frame

  - ### setTargetFrame

    public void setTargetFrame​(String targetFrame)
    Sets the target frame.
    Parameters:
      `targetFrame` - the new target frame

  - ### getTooltip

    public String getTooltip()
    Gets the tooltip.
    Returns:
      the tooltip

  - ### setTooltip

    public void setTooltip​(String tooltip)
    Sets the tooltip.
    Parameters:
      `tooltip` - the new tooltip